Subject: Re: Mips project Go or Wait?

From: [email-masked] (6692)
Date: Wed, 4 Aug 1993 13:36:25 -0500 (CDT)

> ... good to try to predict how long it will take to design the board and
> its operating system, and to try to predict what the cost of the components
> will be at that time, and design on the basis of that.  I realize that this
> approach is full of risks, and would be difficult to do, but I am afraid that
> if this approach is not taken, the board my be obsolete by the time it is
> usable.
> 
> Jim Nance

Hear, Hear!  Not to be a wet blanket, but it might also be enlightening
to try to predict what the cost of competitive products will be at that
time.  I understand that DEC Alphas are already available for ~US$5K,
at least to selected WindowsNT developers.  And that's complete, with
memory, tube, keyboard, mouse, disk, and CD-ROM drive.

> Personal computer firms plan to use the RISC chips in personal 
> computers when Microsoft's Japanese Windows NT begins to 
> gain popularity. Taiwan's Acer is planning to ship a PC 
> based on the VR4400 as early as this fall.

How much do you think this Taiwanese machine will be selling for by
the time our board is able to boot Linux?  Particularly when the
prediction of that time has to be adjusted for time spent bickering
about fundamental design decisions, like 'dumb frame buffer vs. VESA
local bus connector' and 'IDT R3051 vs. IDT R3081 vs. NEC VR4000PC
vs. NEC VR4200' and 'complete complement of I/O on board vs. ISA
expansion bus'.

I was really disappointed when the IDT 3730 didn't materialize.  I
think that probably set the timetable back _several_ months.  And it
looks to me like we're even more caught up in pursuing Vaporware (tm)
chips now, rather than accepting the lesson of the 3730 and
designing with parts that are available (in small quantities) now.

What I mean about quantities is that we could probably have the 3730
in three months if we could convince IDT that we'll be buying 50K
per month in 1994 and 1995.  On the other hand, it's entirely
possible that the PowerPC will really take off and the VR4200, even
the whole MIPS 4000 line, will be abandoned because there's no
market.

At the risk of repeating myself, let me say again that I don't think
that this project will lead to a state-of-the-art workstation at a
bargain price.  We just can't compete with the large-volume
manufacturers.  But I still think it's worth doing, and I still
think there's a (small) chance there could eventually be many
thousands, even tens of thousands of the things built over the next
several years.

Does anyone have any usable estimates of how many
Linux/386BSD/NetBSD  machines there are?  A month or so ago Bill
Jollitz was throwing around the number 'a million' for 386BSD alone
(but of course I take that with a grain of salt).  But say there's
something on the order of a million of Linux & 386BSD & NetBSD
combined, worldwide.  Obviously, all of these people are adventurous
tinkers, or they would stick with 'supported' software.  Do you
think that 1% of those people might buy our board, if they could get
system software that boots up and basically runs, and if they knew
they could get compatible motherboards from at least two or three
manufacturers around the world, and all their other hardware needs
from their local discount computer retailer, and all the 'support'
they could possibly want from net news and mailing lists?

One percent of a million is ten thousand.  Even if I'm off by an
order of magnitude it's still one thousand to one hundred thousand.
Enough to support a pretty active news group.  And if every one of
them has the 'sources' of the hardware design, enough to deal
compatibly with obsolete components for a long, long time.

-- 
Ted Spradley   Recognition International, Inc.  Opinions are mine, not theirs.
2701 E Grauwyler Rd. |Your productivity is not enhanced when you're staring
Irving TX 75061      |at that thing.  Your productivity is enhanced when
214-579-6692         |the computer is working and you're doing something else.

---

From: Bill Broadley <[email-masked]>
Date: Wed, 4 Aug 1993 18:08:43 -0500 (EDT)

>> if this approach is not taken, the board my be obsolete by the time it is

Well current state of the art in the pc world is a 486/66 (32.4 specint 16.1 fp)
In six months the 66 Mhz pentium will be state of the art (64.5 specint 56.9 fp)
and a good motherboard like micronices VESA is over $1000 with a 486 66 in it.
Last year a 486/50 ISA was over $1000.  Don't forget that the 486 motherboard 
doesn't have video, ethernet or scsi.

So if we can get the 4200 (55int/30 fp) 4000 (62int/63fp) going it seems
that even in 6 months we would be competitive if it's under $1000.
If we use the arc 100 chipset we have nothing to design, all we 
have to do is order the parts, and contract out the design of the motherboards.
Oh yeah and port linux ;-)

> memory, tube, keyboard, mouse, disk, and CD-ROM drive.

Well I don't expect anyone to sell 486 motherboard ugprade over the next
6 months because of problems with software/integrations/hardware compatibility.
Complete systems will compete with complete pentium/486 systems, but I don't
expect any direct competition with 486 motherboards.

> the time our board is able to boot Linux?  

ACER isn't selling mothebroards, and ACER needs to make a profit, and
ACER's machine won't run linux.  

> Particularly when the

Well hopefully everyone will agree the arc 100 design is better and we
will have to do NO design, just use the NEC design. 

> think that probably set the timetable back _several_ months.  And it

Well the arc 100/150 look even better. (MCT-ADR MCT-DP)

> the whole MIPS 4000 line, will be abandoned because there's no

Well I personally prefer the powerpc.  It run's gcc, gets more done per Mhz,
very elegant, reasonably priced, and has the largest onchip cache.  But the 
simple fact that there exists a mips 4000 board design outweighs any 
advantages the powerpc has over the mips 4000 series.  Unless we find
a ready to use powerpc motherboard design of course.

I'd really doubt the mips chips will have any problems, they are faster
then the pentium, run windows nt, and have SGI/MIPS and various pc companies
supporting them.

> thousands, even tens of thousands of the things built over the next

Well the 486 is an ugly architecture, and is slow especially in fp.  (not
to mention I'd bet that the 486 specmarks are more optimized then anyone elses.)
If I can get better price/performance on a riscy motherboard with everything
on board, then I can get with a 486 motherboard+video+scsi I'll buy it.

[ deleted long speculation on the number of free unix users and extrapolating
market for the riscy board]

There are no doubt that there are MANY free unix users, but MANY of those
are running with <= 4 MB ram, <= 386-33, IDE disks, tident or tseng video
cards, etc.

Most free unix users are college age or so, and don't have the better part
of $1000 to upgrade there system that doesn't run winNT or dos software.

But I hate the 486/586 design, and microsoft software, and hope to
get a riscy motherboard to run linux.  So I can have a workstation at home.

-- 
Bill					1st>	[email-masked]
[email-masked] <2nd 	3rd> 	             [email-masked]
Linux is great.         Bike to live, live to bike.                      PGP-ok